GNU bug report logs - #47888
Email address matching is too restrictive

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: hyperbole; Reported by: Brad Knotwell <bknotwell@HIDDEN>; dated Mon, 19 Apr 2021 07:34:01 UTC; Maintainer for hyperbole is bug-hyperbole@HIDDEN.

Message received at 47888 <at> debbugs.gnu.org:


Received: (at 47888) by debbugs.gnu.org; 20 Apr 2021 04:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 00:17:37 2021
Received: from localhost ([127.0.0.1]:52531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYhpR-0003YN-1u
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 00:17:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1lYhpN-0003Y7-BJ
 for 47888 <at> debbugs.gnu.org; Tue, 20 Apr 2021 00:17:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56287)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rsw@HIDDEN>) id 1lYhpI-0003U1-67
 for 47888 <at> debbugs.gnu.org; Tue, 20 Apr 2021 00:17:28 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:35701)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1lYhpH-0002YH-AE
 for 47888 <at> debbugs.gnu.org; Tue, 20 Apr 2021 00:17:27 -0400
Received: by mail-lf1-f47.google.com with SMTP id x19so29011442lfa.2
 for <47888 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 21:17:27 -0700 (PDT)
X-Gm-Message-State: AOAM530wUUazeofHhJFe/80ov2qRLYrVJh/vTstwb1uFXSY/iiPt2Xnj
 SunKSd1DQ1RvMq5b58i4mx++cKVMxlSV2FTZAg0=
X-Google-Smtp-Source: ABdhPJwHuuKElqEWkVKPQhs7+Hi/xtgcfLZHbJ00y5VYTeJGcBLBrpCndQjOzhCR0m8Z475js1yE13dFV65yZ2JSwCE=
X-Received: by 2002:a05:6512:1142:: with SMTP id
 m2mr2485953lfg.86.1618892245811; 
 Mon, 19 Apr 2021 21:17:25 -0700 (PDT)
MIME-Version: 1.0
References: <m2sg3muc8z.fsf.ref@HIDDEN> <m2sg3muc8z.fsf@HIDDEN>
In-Reply-To: <m2sg3muc8z.fsf@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Tue, 20 Apr 2021 00:17:00 -0400
X-Gmail-Original-Message-ID: <CA+OMD9hXMj=tr-jcTbkC8fwzVrB9U6cADiemVtR4VbOkrF3S+Q@HIDDEN>
Message-ID: <CA+OMD9hXMj=tr-jcTbkC8fwzVrB9U6cADiemVtR4VbOkrF3S+Q@HIDDEN>
Subject: Re: bug#47888: Email address matching is too restrictive
To: Brad Knotwell <bknotwell@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003dc87105c05fb99d"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Brad: Thanks for using Hyperbole and reporting this bug
 in the mail address implicit button. We have fixed it (numeric addresses
 now accepted) in the development version in the git repository. We will close
 this issue. 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.92 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-Debbugs-Envelope-To: 47888
Cc: 47888 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--0000000000003dc87105c05fb99d
Content-Type: text/plain; charset="UTF-8"

Hi Brad:

Thanks for using Hyperbole and reporting this bug in the mail address
implicit button.

We have fixed it (numeric addresses now accepted) in the development
version in the git repository.  We will close this issue.

You can test it out with this setup:

If you first install the package manager 'straight' (install it as a
regular Emacs package together with the 'use-package' package), then you
ought to be able to load Hyperbole straight from the development source
with:

(use-package hyperbole
   :straight t
   :config
   (hyperbole-mode 1)
   :bind* ("<M-return>" . hkey-either))  ;; Makes Action Key work in Org
mode.

-- Bob
------

On Mon, Apr 19, 2021 at 3:34 AM Brad Knotwell via Bug-hyperbole via <
bug-hyperbole@HIDDEN> wrote:

> I use:  Editor:      GNU Emacs 27.2 (build 1, x86_64-apple-darwin17.7.0,
> Carbon Version 158 AppKit 1561.6)
>
>         Hyperbole:   7.1.3
>         Sys Type:    x86_64-apple-darwin17.7.0
>         OS Type:     darwin
>         Window Sys:  mac
>         News Reader: Gnus v5.13
>
> If you want to email to a text message, you'll have an email address
> like the following:  4258887777@HIDDEN
>
> Hyperbole's implicit buttons won't recognize this as a valid email
> address (use case:  looking a contact up in HyRolo and hitting the
> Action Key to send them a text;  workaround:  copying the address by
> hand and hitting {C-x m}.  I've attached the relevant section from
> RFC5322 below:
>
> Section 3.2.3 of email is copied below:
>    atext           =   ALPHA / DIGIT /    ; Printable US-ASCII
>                        "!" / "#" /        ;  characters not including
>                        "$" / "%" /        ;  specials.  Used for atoms.
>                        "&" / "'" /
>                        "*" / "+" /
>                        "-" / "/" /
>                        "=" / "?" /
>                        "^" / "_" /
>                        "`" / "{" /
>                        "|" / "}" /
>                        "~"
>
>    atom            =   [CFWS] 1*atext [CFWS]
>
>    dot-atom-text   =   1*atext *("." 1*atext)
>
>    dot-atom        =   [CFWS] dot-atom-text [CFWS]
>
>    specials        =   "(" / ")" /        ; Special characters that do
>                        "<" / ">" /        ;  not appear in atext
>                        "[" / "]" /
>                        ":" / ";" /
>                        "@" / "\" /
>                        "," / "." /
>                        DQUOTE
>
> Section 3.4.1
>    addr-spec       =   local-part "@" domain
>
>    local-part      =   dot-atom / quoted-string / obs-local-part
>
>    domain          =   dot-atom / domain-literal / obs-domain
>
>    domain-literal  =   [CFWS] "[" *([FWS] dtext) [FWS] "]" [CFWS]
>
>    dtext           =   %d33-90 /          ; Printable US-ASCII
>                        %d94-126 /         ;  characters not including
>                        obs-dtext          ;  "[", "]", or "\"
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> Bug-hyperbole@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>

--0000000000003dc87105c05fb99d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace">Hi Brad:</div><div class=3D"gmail_default" st=
yle=3D"font-family:monospace,monospace"><br></div><div class=3D"gmail_defau=
lt" style=3D"font-family:monospace,monospace">Thanks for using Hyperbole an=
d reporting this bug in the mail address implicit button.</div><div class=
=3D"gmail_default" style=3D"font-family:monospace,monospace"><br></div><div=
 class=3D"gmail_default" style=3D"font-family:monospace,monospace">We have =
fixed it (numeric addresses now accepted) in the development version in the=
 git repository.=C2=A0 We will close this issue.</div><div class=3D"gmail_d=
efault" style=3D"font-family:monospace,monospace"><br></div><div class=3D"g=
mail_default" style=3D"font-family:monospace,monospace">You can test it out=
 with this setup:</div><div class=3D"gmail_default" style=3D"font-family:mo=
nospace,monospace"><br></div><div class=3D"gmail_default" style=3D"font-fam=
ily:monospace,monospace"><div class=3D"gmail_default">If you first install =
the package manager &#39;straight&#39; (install it as a regular Emacs packa=
ge together with the &#39;use-package&#39; package), then you ought to be a=
ble to load Hyperbole straight from the development source with:</div><div =
class=3D"gmail_default"><br></div><div class=3D"gmail_default">(use-package=
 hyperbole<br>=C2=A0 =C2=A0:straight t<br>=C2=A0 =C2=A0:config<br>=C2=A0 =
=C2=A0(hyperbole-mode 1)<br>=C2=A0 =C2=A0:bind* (&quot;&lt;M-return&gt;&quo=
t; . hkey-either))=C2=A0 ;; Makes Action Key work in Org mode.</div><div cl=
ass=3D"gmail_default"><br></div><div class=3D"gmail_default">-- Bob</div></=
div></div><div class=3D"gmail_default" style=3D"font-family:monospace,monos=
pace">------</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"=
gmail_attr">On Mon, Apr 19, 2021 at 3:34 AM Brad Knotwell via Bug-hyperbole=
 via &lt;<a href=3D"mailto:bug-hyperbole@HIDDEN">bug-hyperbole@HIDDEN</a>=
&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px =
0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">I us=
e:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 GNU Emacs 27.2 (build 1, x86_64-apple-=
darwin17.7.0, Carbon Version 158 AppKit 1561.6)<br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Hyperbole:=C2=A0 =C2=A07.1.3<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Sys Type:=C2=A0 =C2=A0 x86_64-apple-darwin17.7.=
0<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 OS Type:=C2=A0 =C2=A0 =C2=A0darwin<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Window Sys:=C2=A0 mac<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 News Reader: Gnus v5.13<br>
<br>
If you want to email to a text message, you&#39;ll have an email address<br=
>
like the following:=C2=A0 <a href=3D"mailto:4258887777@HIDDEN" target=3D=
"_blank">4258887777@HIDDEN</a><br>
<br>
Hyperbole&#39;s implicit buttons won&#39;t recognize this as a valid email<=
br>
address (use case:=C2=A0 looking a contact up in HyRolo and hitting the<br>
Action Key to send them a text;=C2=A0 workaround:=C2=A0 copying the address=
 by<br>
hand and hitting {C-x m}.=C2=A0 I&#39;ve attached the relevant section from=
<br>
RFC5322 below:<br>
<br>
Section 3.2.3 of email is copied below:<br>
=C2=A0 =C2=A0atext=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=3D=C2=A0 =C2=A0=
ALPHA / DIGIT /=C2=A0 =C2=A0 ; Printable US-ASCII<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;!&quot; / &quot;#&quot; /=C2=A0 =C2=A0 =C2=A0 =C2=A0 ;=C2=
=A0 characters not including<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;$&quot; / &quot;%&quot; /=C2=A0 =C2=A0 =C2=A0 =C2=A0 ;=C2=
=A0 specials.=C2=A0 Used for atoms.<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;&amp;&quot; / &quot;&#39;&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;*&quot; / &quot;+&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;-&quot; / &quot;/&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;=3D&quot; / &quot;?&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;^&quot; / &quot;_&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;`&quot; / &quot;{&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;|&quot; / &quot;}&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;~&quot;<br>
<br>
=C2=A0 =C2=A0atom=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =3D=C2=A0 =C2=A0=
[CFWS] 1*atext [CFWS]<br>
<br>
=C2=A0 =C2=A0dot-atom-text=C2=A0 =C2=A0=3D=C2=A0 =C2=A01*atext *(&quot;.&qu=
ot; 1*atext)<br>
<br>
=C2=A0 =C2=A0dot-atom=C2=A0 =C2=A0 =C2=A0 =C2=A0 =3D=C2=A0 =C2=A0[CFWS] dot=
-atom-text [CFWS]<br>
<br>
=C2=A0 =C2=A0specials=C2=A0 =C2=A0 =C2=A0 =C2=A0 =3D=C2=A0 =C2=A0&quot;(&qu=
ot; / &quot;)&quot; /=C2=A0 =C2=A0 =C2=A0 =C2=A0 ; Special characters that =
do<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;&lt;&quot; / &quot;&gt;&quot; /=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
;=C2=A0 not appear in atext<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;[&quot; / &quot;]&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;:&quot; / &quot;;&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;@&quot; / &quot;\&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0&quot;,&quot; / &quot;.&quot; /<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0DQUOTE<br>
<br>
Section 3.4.1<br>
=C2=A0 =C2=A0addr-spec=C2=A0 =C2=A0 =C2=A0 =C2=A0=3D=C2=A0 =C2=A0local-part=
 &quot;@&quot; domain<br>
<br>
=C2=A0 =C2=A0local-part=C2=A0 =C2=A0 =C2=A0 =3D=C2=A0 =C2=A0dot-atom / quot=
ed-string / obs-local-part<br>
<br>
=C2=A0 =C2=A0domain=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =3D=C2=A0 =C2=A0dot-a=
tom / domain-literal / obs-domain<br>
<br>
=C2=A0 =C2=A0domain-literal=C2=A0 =3D=C2=A0 =C2=A0[CFWS] &quot;[&quot; *([F=
WS] dtext) [FWS] &quot;]&quot; [CFWS]<br>
<br>
=C2=A0 =C2=A0dtext=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=3D=C2=A0 =C2=A0=
%d33-90 /=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ; Printable US-ASCII<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0%d94-126 /=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;=C2=A0 characters no=
t including<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0obs-dtext=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ;=C2=A0 &quot;[&quot;=
, &quot;]&quot;, or &quot;\&quot;<br>
<br>
<br>
<br>
_______________________________________________<br>
Bug-hyperbole mailing list<br>
<a href=3D"mailto:Bug-hyperbole@HIDDEN" target=3D"_blank">Bug-hyperbole@gn=
u.org</a><br>
<a href=3D"https://lists.gnu.org/mailman/listinfo/bug-hyperbole" rel=3D"nor=
eferrer" target=3D"_blank">https://lists.gnu.org/mailman/listinfo/bug-hyper=
bole</a><br>
</blockquote></div></div>

--0000000000003dc87105c05fb99d--




Information forwarded to bug-hyperbole@HIDDEN:
bug#47888; Package hyperbole. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Apr 2021 07:33:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 03:33:29 2021
Received: from localhost ([127.0.0.1]:48264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYOPQ-0004NZ-PG
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 03:33:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:57770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bknotwell@HIDDEN>) id 1lYLYu-00087V-7S
 for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 00:31:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55512)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bknotwell@HIDDEN>)
 id 1lYLYt-000848-V5
 for bug-hyperbole@HIDDEN; Mon, 19 Apr 2021 00:31:04 -0400
Received: from sonic311-15.consmr.mail.bf2.yahoo.com ([74.6.131.125]:44099)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <bknotwell@HIDDEN>)
 id 1lYLYo-0005Rz-1X
 for bug-hyperbole@HIDDEN; Mon, 19 Apr 2021 00:31:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1618806655; bh=Mowj6t1I3xMCP0GsRkRqH3sLaQMhwvXcgGbP8+G0dvo=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=TISPFG982Dc9n+uyBRNQ6JtR5HDCTBbqnESWms8f+FexnnD2J+qwZWJuVy6Y7nuvRSnJy+1TPldPJP1Pw2irHihUKx6KQZBNchmwvf2TMQ1JkSvfRDI3nv7g7gMImnggw0PH9wog4ylNillXiVE6YwsP5KxvQI/tTJYiTiUUzFcH2rDho3ctGqr6ddLUNuGCLUlKTJlVFYKiRM6zBTwOfRiyNAMdKE7fZ5QKZAW9WWBn6UCRayvynzKaX/g9+FFFs/9k4CKWSH7L345sVxw81C4S9BulWF673W1UhaUWIr7CDywtpudcLa1mkVcYGJwGnNora7Vb/oSM+Ofy2Ar9AQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1618806655; bh=5ukhO3cE1cB6LA6JCoaqqVP6bj6RPRgF72B8HrzW5ot=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=nS4uesm8esRiOKpSjPrja2c2QREJMyHDNrHiwSOHU/fq9ftsSQ9vU8tknpOaqeX4iwVUefmwIjvwO16awhellsOoLx5/YBzz2ekfzytODBuUmmtovFa6TmfR+giFhTAaYR3P7Yv82lTA2Y5AUCafhgP3o+XigbU8ueewvSsztdKyuHRa2Y3PLrOG9b2CtfiJymefZjFr7kVJhMcn9CLIqqt7BU6gQkS0kr1d6VULhJUoNBiq2AyYCHVWSMNbdlIontgXhkwzFWfYoaJUDADTlOJqKyuUCBOwIZf3+15IrqR+lhv65fMCw6HO29vpMoY1ucYIR2lMjFuzcMGa3yLS/A==
X-YMail-OSG: WGrb0tUVM1lTh1DQRtNGq0.sNKc8aDyKnJPOt1.cpxSb3ntFqGbXzOP5ZQY36e8
 6MIC0DMrpBXKRSGQ7B6rz6zwoULALyiIsn8fJ1XV9PtjdMssp4cFK5LaJ2WjxcQHBlY0xr9zrpQw
 Zyr_ePD3RH8qiF21CoTrIwD0elM8c8LOevYRCyqlV9lA9lXNyLZhYCVIKvAouh.0JqFzMxq45usL
 g8ALmtcChR7A3ux8zDr5Ny0PC9BuD_T8Xw5B46dcWfSdSetWIOZkenfVLZt06w2jO5hNRKwltao3
 0mFLFaJtDupVGnZ9mRz0ZJUib2eRBf5m7hxpvT2K_tJNFleqstb1UrksDJ99yqgOh4UcF8WOPAAO
 npJ4e0ekfHWuWqR5fWLbaCA3VQbdgUJx0MpqKTTcUXG.WOaAzRGdAYp0jOgyLm3.Y8Kkd6586JPV
 evz9QgXDLDeZJQjW6MgWHj9OQ2CxFBLYSg1ctlol03NyCUhUR51qEq8K.ejwqXIo2bXFrqcYOo9.
 w33r0G1k.P1Cdj.4t9Tz7hWF5bPzhZsUYvjxCx9FGF_GPzerAAgfZJz27sz9qbZxZYOrgzvUocVk
 giiXqXYh4p3jaoPZZ4.3RbMzYwzVgtg3wTUiUp5CQ2VwIgZqMFUtt8.YVCDsCAo6G.IVaCH.E0Mv
 dEn5.W1G2teX1VaHS_W_ZsL8J_kFhfpKXN3jx5t9j6Rgc5QBqW9WHlbUBobxqCQSeIUvB.c5w4fv
 l65Lah8OuOx8YU3MtJ8iovLPtDnkrT7wkt22zEnm7MmtEdoDmkT7gyrLMoHbwdBZJPYsS2T_InEN
 m8gky2cehbQrzyLJ2aaE1fl8g7JyYmLGcgWrmhJbD3jvxLQVgS.n1HtNt4kU8pT14r_5B.UFC78U
 YIpS9VgxCNLp37GPdqprYldI4GiNbujVlwfnIJb_MqhqcWgMzSzLOg5RcV6WZKxIYNQzFzuUkWml
 SgtNoVzmrhup.7dV96beK_qVOb9FZBOMkIUNAloqoJnEbRSgnqVDMuXyfhE1nBPUdiG5RVK2yDLv
 bDRDEGjJN.NFA8iExBAAY_YtJ65yxDRZ95o3pPJVVecpxxykLQ_B8a4a5Kc1oe6kqWnGR8DF1PO3
 BpI1urbOch_3Y1J7Q9_dwBhzDam1dGfHaS82YhwG.j0wOGyN2VhGp4IHhp.82FmJ2bI0vcmZLrJF
 kncWSSCg59KipsxU5Zus.bo9O0hRhlvdcjSoXbD3pWN_GadAWKFat0zp6Gsluy8oIl7MxPo9gRl5
 FMQCCY.uzENoYkV1ru0jwargABalhORVldTRYA2CXpXGsQ6cpmSFpOVeOdeFmT_KxHB86PCPG2hx
 6MoQRITNch3aJkSPurqzr_U8IxHzqy9IrbG9ELFtgf39DbdxDMGP20NBRA6cqSe11IDd7atNg7dU
 br9yWsb1uGGC27FsUz6KtsHhZFc.o19TuCkgYGnjTOK8Ded9KHVtPH5vYRmYNntYAFYfESjHVBoI
 2xGYikz8KtAycch9SeXguHOjxdqngJPmVV1AflnByXE361elR1Bu7NeYjoBY.DjwRhDgvqz8VuIf
 oyJynsClsW3jNcRBiUnyXsgNfX2ab6mHQqGplGnc3O9wFqkn9SHrZ1nAKdlgLnmmKTp4M.V_pCpz
 S_vlTpH4TThuEH_bZ0FH6psEwqqbspBPZwVNLOqeIcVhjaKZSdxRDQ1BGlsluSKrq13qR1DyVvsN
 i3myM2xRqEkdFfCmvbA3wx3eoJXC7CyB0IuutATwn1GUFu7S3ZN8piiyZFqJjdLVKfji1Loi6_DL
 zBlZw_OHZ7knz.zh38GEmxYMEGtEX3s6w.gY90XpavJmUMS6aDbSL8ppj7MzcEv__CBHAfgCb62y
 97awguyYaMPMq5zh2EwsuJRdmDTtlUfkrhHG90nSbUBFxJjgc9ynOiAjJrYzmPpcQO_U8va2jKna
 BUyfPVmoK.hv_iGzNrS20UW2ncMl6QY4mMDIIkVi4sRBiH8vaDEwolPsJGZ20WOkQIobvkZqT2N3
 BixJOeHhQ9k8Yna5wcTipgvr7mn4yzZ0INASWMLCoQml79tZCL_NMGXZkFasqlsdI_ogIKFDUsGp
 b6qa1ScwjfiesxYSZo8azx8YuMatOggi8Bwn.m6W..aNZkabmkJGgmY6KsJxSShOuSdPAAaHWOSp
 UBesgG5BBhjMNsJaukNQH8DmSP9wRxBzXfoYHPyvtwysbDaKF0PpztIYLtv0nOZHImh2THoYhlfG
 xX2LFj_krQbMBeHy4CSrUlMMBxpPGlQ7Ej6OYWROUUXnniXZOcjx9Feiz.YIhuwWdpiRF9__4DOF
 9qgEwmugNxZ01DcDQnTv1TIgXVhK6xt7RBQ8gVu0M.A6iqrx6wFqcjSBE9VJNp71L_xIWTEvzm3_
 Eu60_b7XhOY84owNkcvJeM0Ni.VmAgGLsY5v0eWOfkX_U8RaZXib7f6a6QEvszzCid4MJmQQLcdM
 l9cbktDvid_JmgTY-
X-Sonic-MF: <bknotwell@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.bf2.yahoo.com with HTTP; Mon, 19 Apr 2021 04:30:55 +0000
Received: by kubenode501.mail-prod1.omega.gq1.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 199dbc4f1c717905cf3d873edab813c2; 
 Mon, 19 Apr 2021 04:30:53 +0000 (UTC)
From: Brad Knotwell <bknotwell@HIDDEN>
To: bug-hyperbole@HIDDEN
Subject: Email address matching is too restrictive
Date: Sun, 18 Apr 2021 21:30:52 -0700
Message-ID: <m2sg3muc8z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <m2sg3muc8z.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.18121
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/16)
Content-Length: 2087
Received-SPF: pass client-ip=74.6.131.125; envelope-from=bknotwell@HIDDEN;
 helo=sonic311-15.consmr.mail.bf2.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 19 Apr 2021 03:33:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

I use:  Editor:      GNU Emacs 27.2 (build 1, x86_64-apple-darwin17.7.0, Carbon Version 158 AppKit 1561.6)

        Hyperbole:   7.1.3
        Sys Type:    x86_64-apple-darwin17.7.0
        OS Type:     darwin
        Window Sys:  mac
        News Reader: Gnus v5.13

If you want to email to a text message, you'll have an email address
like the following:  4258887777@HIDDEN

Hyperbole's implicit buttons won't recognize this as a valid email
address (use case:  looking a contact up in HyRolo and hitting the
Action Key to send them a text;  workaround:  copying the address by
hand and hitting {C-x m}.  I've attached the relevant section from
RFC5322 below:

Section 3.2.3 of email is copied below:
   atext           =   ALPHA / DIGIT /    ; Printable US-ASCII
                       "!" / "#" /        ;  characters not including
                       "$" / "%" /        ;  specials.  Used for atoms.
                       "&" / "'" /
                       "*" / "+" /
                       "-" / "/" /
                       "=" / "?" /
                       "^" / "_" /
                       "`" / "{" /
                       "|" / "}" /
                       "~"

   atom            =   [CFWS] 1*atext [CFWS]

   dot-atom-text   =   1*atext *("." 1*atext)

   dot-atom        =   [CFWS] dot-atom-text [CFWS]

   specials        =   "(" / ")" /        ; Special characters that do
                       "<" / ">" /        ;  not appear in atext
                       "[" / "]" /
                       ":" / ";" /
                       "@" / "\" /
                       "," / "." /
                       DQUOTE

Section 3.4.1
   addr-spec       =   local-part "@" domain

   local-part      =   dot-atom / quoted-string / obs-local-part

   domain          =   dot-atom / domain-literal / obs-domain

   domain-literal  =   [CFWS] "[" *([FWS] dtext) [FWS] "]" [CFWS]

   dtext           =   %d33-90 /          ; Printable US-ASCII
                       %d94-126 /         ;  characters not including
                       obs-dtext          ;  "[", "]", or "\"




Acknowledgement sent to Brad Knotwell <bknotwell@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-hyperbole@HIDDEN. Full text available.
Report forwarded to bug-hyperbole@HIDDEN:
bug#47888; Package hyperbole. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 20 Apr 2021 04:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.